Bug 1807824 - glibc: nss_db.x86_64 should install nss_db.i686 if glibc.i686 is installed
Summary: glibc: nss_db.x86_64 should install nss_db.i686 if glibc.i686 is installed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: glibc
Version: 8.2
Hardware: All
OS: All
unspecified
unspecified
Target Milestone: rc
: 8.3
Assignee: Florian Weimer
QA Contact: qe-baseos-tools-bugs
Zuzana Zoubkova
URL:
Whiteboard:
Depends On: 1807821 1819986
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-27 10:16 UTC by Florian Weimer
Modified: 2021-09-17 12:20 UTC (History)
11 users (show)

Fixed In Version: glibc-2.28-120.el8
Doc Type: Bug Fix
Doc Text:
.`glibc` now installs correct dependencies for 32-bit applications using `nss_db` Previously, the `nss_db.x86_64` package did not declare dependencies on the `nss_db.i686` package. Therefore automated installation did not install `nss_db.i686` on the system, despite having a 32-bit environment `glibc.i686` installed. As a consequence, 32-bit applications using `nss_db` failed to perform accurate user database lookups, while 64-bit applications in the same setup worked correctly. With this update, the `glibc` packages now have weak dependencies that trigger the installation of the `nss_db.i686` package when both `glibc.i686` and `nss_db` are installed on the system. As a result, 32-bit applications using `nss_db` now work correctly, even if the system administrator has not explicitly installed the `nss_db.i686` package.
Clone Of: 1807821
Environment:
Last Closed: 2020-11-04 01:33:21 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1803161 0 medium CLOSED nss_nis: Add conditional dependency on nss_nis.i686 to nss_nis.x86_64 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHSA-2020:4444 0 None None None 2020-11-04 01:33:42 UTC

Description Florian Weimer 2020-02-27 10:16:27 UTC
+++ This bug was initially created as a clone of Bug #1807821 +++

If a user installs just nss_db (which means just nss_db.x86_64), 32-bit applications will not work correctly because nss_db.i686 must be separately, now that the lesser-used NSS modules have been split from the main glibc package.

(A similar fix should be applied to nss_hesiod, but that is less important because it's supposedly deprecated.)

Comment 28 errata-xmlrpc 2020-11-04 01:33:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: glibc security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4444


Note You need to log in before you can comment on or make changes to this bug.